Bug 631451 - FTBFS cmake-2.8.2-2.fc14
FTBFS cmake-2.8.2-2.fc14
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
14
i386 Linux
high Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F14FTBFS
  Show dependency treegraph
 
Reported: 2010-09-07 14:57 EDT by FTBFS
Modified: 2010-10-28 02:16 EDT (History)
4 users (show)

See Also:
Fixed In Version: cmake-2.8.2-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 02:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (498.44 KB, text/plain)
2010-09-07 14:57 EDT, FTBFS
no flags Details
build.log (2.32 MB, text/plain)
2010-09-07 14:57 EDT, FTBFS
no flags Details
mock.log (1007 bytes, text/plain)
2010-09-07 14:57 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-09-07 14:57:15 EDT
cmake-2.8.2-2.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-09-07 14:57:19 EDT
Created an attachment (id=445665)
root.log

root.log for i386
Comment 2 FTBFS 2010-09-07 14:57:23 EDT
Created an attachment (id=445666)
build.log

build.log for i386
Comment 3 FTBFS 2010-09-07 14:57:25 EDT
Created an attachment (id=445667)
mock.log

mock.log for i386
Comment 4 Orion Poplawski 2010-09-22 19:07:32 EDT
Error in SubDirSpaces test.

108: /usr/bin/gcc  -DCMAKE_PAREN=1  -o CMakeFiles/TestWithAuxSourceDir.dir/vcl_algorithm+vcl_pair+double.foo.c.o   -c /builddir/build/BUILD/cmake-2.8.2/Tests/SubDirSpaces/vcl_algorithm+vcl_pair+double.foo.c
108: gmake[2]: *** No rule to make target `Some(x86) Sources/libtestOddPath.a', needed by `TestWithAuxSourceDir'.  Stop.
108: gmake[2]: Leaving directory `/builddir/build/BUILD/cmake-2.8.2/build/Tests/SubDirSpaces'
108: gmake[1]: *** [CMakeFiles/TestWithAuxSourceDir.dir/all] Error 2
108: gmake[1]: Leaving directory `/builddir/build/BUILD/cmake-2.8.2/build/Tests/SubDirSpaces'
108: gmake: *** [all] Error 2

Builds fine in rawhide, but not F14 currently.  Built fine before.  Changes:

<  fedora-release noarch 14-0.6 build 22 k
---
>  fedora-release noarch 14-0.8 build 23 k
67,68c67,68
<  gcc i686 4.5.0-3.fc14 build 12 M
<  gcc-c++ i686 4.5.0-3.fc14 build 4.7 M
---
>  gcc i686 4.5.1-3.fc14 build 12 M
>  gcc-c++ i686 4.5.1-3.fc14 build 4.7 M
71,73c71,73
<  info i686 4.13a-9.fc13 build 171 k
< 3.81-20.fc14 build 384 k
<  patch i686 2.6.1-2.fc14 build 95 k
---
>  info i686 4.13a-10.fc14 build 171 k
> 3.82-1.fc14 build 409 k
>  patch i686 2.6.1-5.fc14 build 95 k
75c75
<  rpm-build i686 4.8.1-3.fc14 build 125 k
---
>  rpm-build i686 4.8.1-5.fc14 build 125 k
80c80
<  util-linux-ng i686 2.18-1.fc14 build 1.5 M
---
>  util-linux-ng i686 2.18-4.fc14 build 1.5 M
83c83
<  audit-libs i686 2.0.4-3.fc13 build 60 k
---
>  audit-libs i686 2.0.4-4.fc14 build 61 k
88c88
<  chkconfig i686 1.3.46-1.fc14 build 156 k
---
>  chkconfig i686 1.3.47-1.fc14 build 156 k
91,94c91,94
<  cpp i686 4.5.0-3.fc14 build 3.7 M
<  cracklib i686 2.8.16-3.fc14 build 65 k
<  cracklib-dicts i686 2.8.16-3.fc14 build 3.6 M
<  curl i686 7.21.0-2.fc14 build 207 k
---
>  cpp i686 4.5.1-3.fc14 build 3.7 M
>  cracklib i686 2.8.16-4.fc14 build 66 k
>  cracklib-dicts i686 2.8.16-4.fc14 build 3.6 M
>  curl i686 7.21.0-5.fc14 build 207 k
101,103c101,103
<  fedora-release-rawhide noarch 14-0.6 build 8.9 k
<  file i686 5.04-12.fc14 build 44 k
<  file-libs i686 5.04-12.fc14 build 321 k
---
>  expat i686 2.0.1-10.fc13 build 77 k
>  file i686 5.04-15.fc14 build 44 k
>  file-libs i686 5.04-15.fc14 build 321 k
105c105,106
<  gamin i686 0.1.10-7.fc14 build 119 k
---
>  gamin i686 0.1.10-8.fc14 build 120 k
>  gdb i686 7.2-4.fc14 build 2.3 M
107,111c108,112
<  glib2 i686 2.25.11-1.fc14 build 1.4 M
<  glibc i686 2.12.90-6 build 4.3 M
<  glibc-common i686 2.12.90-6 build 14 M
<  glibc-devel i686 2.12.90-6 build 961 k
<  glibc-headers i686 2.12.90-6 build 599 k
---
>  glib2 i686 2.25.15-1.fc14 build 1.5 M
>  glibc i686 2.12.90-11 build 4.6 M
>  glibc-common i686 2.12.90-11 build 14 M
>  glibc-devel i686 2.12.90-11 build 962 k
>  glibc-headers i686 2.12.90-11 build 600 k
113c114
<  kernel-headers i686 2.6.35-0.55.rc6.git0.fc14 build 717 k
---
>  kernel-headers i686 2.6.35.4-28.fc14 build 724 k
115c116
<  krb5-libs i686 1.8.2-3.fc14 build 657 k
---
>  krb5-libs i686 1.8.2-4.fc14 build 659 k
119c120
<  libblkid i686 2.18-1.fc14 build 114 k
---
>  libblkid i686 2.18-4.fc14 build 113 k
122,124c123,126
<  libcurl i686 7.21.0-2.fc14 build 190 k
<  libgcc i686 4.5.0-3.fc14 build 59 k
<  libgomp i686 4.5.0-3.fc14 build 71 k
---
>  libcurl i686 7.21.0-5.fc14 build 191 k
>  libffi i686 3.0.9-1.fc13 build 21 k
>  libgcc i686 4.5.1-3.fc14 build 61 k
>  libgomp i686 4.5.1-3.fc14 build 72 k
126c128
<  libmount i686 2.18-1.fc14 build 78 k
---
>  libmount i686 2.18-4.fc14 build 79 k
128c130
<  libselinux i686 2.0.96-2.fc14 build 106 k
---
>  libselinux i686 2.0.96-3.fc14 build 106 k
131,132c133,134
<  libstdc++ i686 4.5.0-3.fc14 build 269 k
<  libstdc++-devel i686 4.5.0-3.fc14 build 1.3 M
---
>  libstdc++ i686 4.5.1-3.fc14 build 271 k
>  libstdc++-devel i686 4.5.1-3.fc14 build 1.3 M
134,135c136,137
<  libuuid i686 2.18-1.fc14 build 60 k
<  libxml2 i686 2.7.7-1.fc14 build 797 k
---
>  libuuid i686 2.18-4.fc14 build 61 k
>  libxml2 i686 2.7.7-2.fc14 build 802 k
141,146c143,148
<  nspr i686 4.8.4-2.fc14 build 111 k
<  nss i686 3.12.6-8.fc14 build 741 k
<  nss-softokn i686 3.12.6-3.fc14 build 169 k
<  nss-softokn-freebl i686 3.12.6-3.fc14 build 111 k
<  nss-sysinit i686 3.12.6-8.fc14 build 25 k
<  nss-util i686 3.12.6-1.fc14 build 44 k
---
>  nspr i686 4.8.6-1.fc14 build 111 k
>  nss i686 3.12.7-4.fc14 build 754 k
>  nss-softokn i686 3.12.7-3.fc14 build 170 k
>  nss-softokn-freebl i686 3.12.7-3.fc14 build 110 k
>  nss-sysinit i686 3.12.7-4.fc14 build 26 k
>  nss-util i686 3.12.7-2.fc14 build 45 k
158a161,162
>  python i686 2.7-7.fc14 build 5.0 M
>  python-libs i686 2.7-7.fc14 build 643 k
160,161c164,165
<  rpm i686 4.8.1-3.fc14 build 900 k
<  rpm-libs i686 4.8.1-3.fc14 build 310 k
---
>  rpm i686 4.8.1-5.fc14 build 900 k
>  rpm-libs i686 4.8.1-5.fc14 build 311 k
165c169
<  tzdata noarch 2010j-1.fc14 build 438 k
---
>  tzdata noarch 2010k-1.fc14 build 439 k

<  gcc-gfortran i686 4.5.0-3.fc14 build 4.4 M
<  libX11-devel i686 1.3.4-2.fc14 build 1.0 M
<  libcurl-devel i686 7.21.0-2.fc14 build 245 k
---
>  gcc-gfortran i686 4.5.1-3.fc14 build 4.4 M
>  libX11-devel i686 1.3.4-3.fc14 build 1.0 M
>  libcurl-devel i686 7.21.0-5.fc14 build 245 k

<  expat i686 2.0.1-10.fc13 build 77 k
<  fedora-logos noarch 13.0.3-3.fc14 build 1.6 M
---
>  fedora-logos noarch 14.0.0-1.fc14 build 1.4 M
455,456c462,463
<  freetype i686 2.3.12-1.fc14 build 362 k
<  freetype-devel i686 2.3.12-1.fc14 build 362 k
---
>  freetype i686 2.4.2-2.fc14 build 348 k
>  freetype-devel i686 2.4.2-2.fc14 build 364 k
462,465c469,472
<  hwdata noarch 0.227-1.fc14 build 894 k
<  initscripts i686 9.15-1.fc14 build 954 k
<  iproute i686 2.6.34-5.fc14 build 346 k
<  iptables i686 1.4.8-1.fc14 build 240 k
---
>  hwdata noarch 0.232-1.fc14 build 940 k
>  initscripts i686 9.20-1.fc14 build 953 k
>  iproute i686 2.6.35-2.fc14 build 347 k
>  iptables i686 1.4.9-1.fc14 build 245 k
467c474
<  iso-codes noarch 3.18-1.fc14 build 2.5 M
---
>  iso-codes noarch 3.19-1.fc14 build 2.5 M
470,471c477,478
<  kernel i686 2.6.35-0.55.rc6.git0.fc14 build 21 M
<  lcms-libs i686 1.19-1.fc13 build 100 k
---
>  kernel i686 2.6.35.4-28.fc14 build 21 M
>  lcms-libs i686 1.19-2.fc14 build 99 k
476,477c483,484
<  libX11 i686 1.3.4-2.fc14 build 587 k
<  libX11-common noarch 1.3.4-2.fc14 build 183 k
---
>  libX11 i686 1.3.4-3.fc14 build 587 k
>  libX11-common noarch 1.3.4-3.fc14 build 183 k
484,485c491,492
<  libXext i686 1.1.2-1.fc14 build 32 k
<  libXext-devel i686 1.1.2-1.fc14 build 76 k
---
>  libXext i686 1.1.2-2.fc14 build 32 k
>  libXext-devel i686 1.1.2-2.fc14 build 76 k
490,491c497,498
<  libXi i686 1.3-2.fc13 build 30 k
<  libXi-devel i686 1.3-2.fc13 build 92 k
---
>  libXi i686 1.3.2-1.fc14 build 31 k
>  libXi-devel i686 1.3.2-1.fc14 build 92 k
509,512c516,519
<  libgfortran i686 4.5.0-3.fc14 build 195 k
<  libgudev1 i686 160-8.fc14 build 57 k
<  libjpeg-turbo i686 1.0.0-2.fc14 build 117 k
<  libjpeg-turbo-devel i686 1.0.0-2.fc14 build 94 k
---
>  libgfortran i686 4.5.1-3.fc14 build 197 k
>  libgudev1 i686 161-2.fc14 build 58 k
>  libjpeg-turbo i686 1.0.1-1.fc14 build 117 k
>  libjpeg-turbo-devel i686 1.0.1-1.fc14 build 95 k
525c532
<  libudev i686 160-8.fc14 build 72 k
---
>  libudev i686 161-2.fc14 build 72 k
527c534
<  libv4l i686 0.7.91-1.fc14 build 104 k
---
>  libv4l i686 0.8.1-1.fc14 build 107 k
530,531c537,538
<  libxcb i686 1.5-1.fc13 build 102 k
<  libxcb-devel i686 1.5-1.fc13 build 138 k
---
>  libxcb i686 1.5-3.fc14 build 106 k
>  libxcb-devel i686 1.5-3.fc14 build 138 k
533c540
<  linux-firmware noarch 20100106-4.fc14 build 3.6 M
---
>  linux-firmware noarch 20100806-4.fc14 build 4.7 M
542c549
<  net-tools i686 1.60-103.fc14 build 249 k
---
>  net-tools i686 1.60-104.fc14 build 249 k
547,550c554,557
<  pixman i686 0.18.0-1.fc14 build 153 k
<  plymouth i686 0.8.2-3.fc13 build 78 k
<  plymouth-core-libs i686 0.8.2-3.fc13 build 79 k
<  plymouth-scripts i686 0.8.2-3.fc13 build 24 k
---
>  pixman i686 0.18.4-1.fc14 build 154 k
>  plymouth i686 0.8.4-0.20100823.4.fc14 build 83 k
>  plymouth-core-libs i686 0.8.4-0.20100823.4.fc14 build 81 k
>  plymouth-scripts i686 0.8.4-0.20100823.4.fc14 build 24 k


560,561c567,568
<  systemd-units i686 3-3.fc14 build 68 k
<  sysvinit-tools i686 2.87-4.dsf.fc14 build 57 k
---
>  systemd-units i686 10-2.fc14 build 112 k
>  sysvinit-tools i686 2.87-5.dsf.fc14 build 57 k
563,564c570,572
<  udev i686 160-8.fc14 build 339 k
<  upstart i686 0.6.5-5.fc14 build 155 k
---
>  udev i686 161-2.fc14 build 342 k
>  upstart i686 0.6.5-8.fc14 build 148 k
>  upstart-sysvinit i686 0.6.5-8.fc14 build 15 k
566c574
<  xine-lib i686 1.1.18.1-3.fc14 build 2.3 M
---
>  xine-lib i686 1.1.19-1.fc14 build 2.3 M
Comment 5 Fedora Update System 2010-10-07 18:13:14 EDT
cmake-2.8.2-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cmake-2.8.2-3.fc14
Comment 6 Fedora Update System 2010-10-08 22:55:51 EDT
cmake-2.8.2-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cmake-2.8.2-3.fc14
Comment 7 Fedora Update System 2010-10-28 02:16:29 EDT
cmake-2.8.2-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.